FAQs

FAQs, Frequently asked Questions

Release:
21.08.2006-en-

Copyright © 2006 DR. JOHANNES HEIDENHAIN GmbH. All rights reserved.


smarT.NC

Further Informations:
> DXF data


DXF data

Question

Can the TNC process DXF data

Answer

This is possible with the new smarT.NC software 340 49x-02. This function can be purchased as a software option. Currently you can use the DXF converter to directly select contours on the TNC and save them as plain-language programs.


PC software

Further Informations:
> TNCremoNT
> TeleService
> Programming station


TNCremoNT

Further Informations:
> Establishing a connection with TNCremoNT takes extremely long
> No access to the TNC with TNCremoNT


Establishing a connection with TNCremoNT takes extremely long

Question

When I start TNCremoNT and establish a connection, it takes a very long time until the control directory appears. And there is also a long delay, usually about 5 seconds, whenever I change directories.

Answer

This delay is not due to network or connection problems, but is because any connected disk drives are being looked for. This search only aborts after a certain timeout time. You can change this behavior by having your machine manufacturer alter Machine Parameter 7225 so that disk drives are not looked for.


No access to the TNC with TNCremoNT

Question

When trying to establish a connection to the iTNC 530 with the TNCremoNT data transfer software, the "Cannot establish connection" error message appears. After pressing the Details button, the text "Error 2000171h: Access privileges not granted" appears. What am I doing wrong?

Answer

For safety reasons, you must first grant permission for external access to the TNC. Proceed as follows:
> Select the Programming and Editing operating mode
> Activate the MOD function: Press the MOD key
> Set the EXTERNAL ACCESS soft key to ON
You can now access the TNC via external data transfer software.
This procedure also works for the iTNC programming station if you want to access the programming station via the loopback IP (127.0.0.1).


TeleService

Further Informations:
>


<>
PC software / TeleService


Programming station

Further Informations:
> Counter for workpieces
> How can I easily convert to binary values?
> Programming station: CC and PGM Call keys are not available
> Programming station: TNC 426 cycle structure
> The programming station does not start
> Tool type cannot be selected in the tool table.
> USB driver for programming station does not work


Counter for workpieces

Question

How can I program a counter so that the numbers are still current after the machine has been switched off?

Answer

This is possible with a freely definable table. See the attachment for an exact description.


How can I easily convert to binary values?

Question

How can I have a decimal number, e.g. 33, be displayed as a binary value, without extensive calculations?

Answer

Open the Windows Calculator.
After it opens, select the "Scientific" setting under "View."
Enter a decimal value, e.g. 33, and select "Bin."
The value is then shown as a binary value (100001).


Programming station: CC and PGM Call keys are not available

Question

Problem with the iTNC 530 programming station: The CC and PGM Call keys are not available

Answer

The problem results from an overlapping of the shortcut keys of the programming station with the "Intel Extreme Graphics 2" onboard graphics card in the PC.
Solve the problem with the following procedure:
> Control Panel
> Select Intel Extreme Graphics
> Select the Shortcuts tab
> Deactivate shortcut keys
Shortcut keys causing this problem can also be active in other applications.


Programming station: TNC 426 cycle structure

Question

Our facility has four machines equipped with a TNC 426.
Can we adapt our new programming station (iTNC 530) to the TNC 426?

Answer

You can set the cycle structure to TNC 426 or TNC 410. Proceed as follows:
1. Programming and Editing operating mode
2. MOD
3. Keyword 123
4. ENT key
5. MOD
6. CYCL soft key
7. Select the desired contol (the controls are displayed with ENT)
8. Conclude by pressing END twice


The programming station does not start

Question

The programming station is connected to an Intel Celeron PC with 128 MB RAM and Windows 98 SE.
An error occurs when the prorgam is run. The program opens with "STARTING"------PLEASE WAIT......", but doesn't start.

Answer

The programming station software runs on the following PCs:
&#56256;&#56452; Standard PC with Windows 2000 or Windows XP
&#56256;&#56452; USB port
&#56256;&#56452; At least 128 MB RAM
&#56256;&#56452; Graphic card: At least 16-bit color depth
&#56256;&#56452; At least 350 MB available memory on the hard disk
&#56256;&#56452; At least 15" XGA screen


Tool type cannot be selected in the tool table.

Question

Tool type cannot be selected in the tool table.

Answer

The COPY SAMPLE FILE function is used to copy multiple files from the SYS partition to the "Proto" directory, including a table in which the tool types are saved. You should then be able to select the tool type.
Please consult with your machine manufacturer.


USB driver for programming station does not work

Question

I can't install the USB driver for the programming station on my computer. It works just fine on a different computer.

Answer

The driver available on our homepage and on the software CD cannot be installed on PCs with an AMD 64-bit CPU. The manufacturer of the hardware dongle has a new driver (hldinst.zip) available for downloading under www.aladdin.com. After unzipping the file, you must enter the command "hldinst -install" in the command line.
We are working as hard as we can to provide a convenient Windows installation utility for downloading and on the CDs.


Programming

Further Informations:
> Contours
> Q parameters
> Subprograms / Section repeats
> M functions
> Tools


Contours

Further Informations:
>


<>
Programming / Contours


Q parameters

Further Informations:
> Actual-position capture
> iTNC 530 programming station
> Q-parameter assignment


Actual-position capture

Question

We have to mill many parts according to score marks.
Is it possible to save the positions traversed to into a program?

Answer

You can use the "actual-position capture" feature for this. Enclosed is a description of this feature along with a link to the User's Manual (see chapter 13.13).


iTNC 530 programming station

Question

The programming station does not start after installation. I am using a PC with Windows XP and SP2.

Answer

If the firewall was activated during installation with Windows XP with SP2, problems can occur when starting the programming station.
In order to avoid this, you can either disable the firewall completely, or manually enable port 6000 (access to the programming station). This procedure is also necessary for other firewalls, such as ZoneAlarm.


Q-parameter assignment

Question

Which parameter numbers can I use for my programs?
Is it possible to use more than 100 parameters?

Answer

Please see the Parameterbelegung.pdf file for the available numbers.
As of NC software 340 490-01, you can use parameters Q0 to Q1999 (see Parameterbelegung.pdf).


Subprograms / Section repeats

Further Informations:
> Program-section repeats


Program-section repeats

Question

On the TNC 426 we could see exactly how many program-section repeats have already run (e.g. Call LBL 1 RED 4/4). Can the iTNC530 also show the number of repetitions?

Answer

Of course this is also possible with the iTNC 530. There is now a separate status display available for showing section repeats that have already run.
Select the PGM + Status split-screen. The Status CALL LBL (soft key) display shows the information regarding program-section repeats.


M functions

Further Informations:
> Automatic shutdown of the machine after end of program


Automatic shutdown of the machine after end of program

Question

Can I have the machine be switched off automatically via a control function (such as an M function) when running unattended? This would include switching off all units, with subsequent shutdown of the control, as occurs when the main machine power switch is turned off.

Answer

This function is available in principle, but must be realized by your machine manufacturer in the PLC program. Please contact your machine manufacturer if you need this function.


Tools

Further Informations:
> How can I easily convert to binary values?


Tilting the working plane

Further Informations:
>


Tilting the working plane


Touch-probe cycles

Further Informations:
> Basic rotation / Misalignment
> Automatic presetting
> Measuring
> Touch-probe calibration
> Tool calibration
> Manual touch-probe cycles


Basic rotation / Misalignment


Automatic presetting


Measuring

Further Informations:
> Saving a measuring log on a network drive


Saving a measuring log on a network drive

Question

Is it possible to also save a measuring cycle log (touch-probe cycles 420 to 431) on a network drive?

Answer

As a default, the TNC saves the measuring log in the directory on the TNC hard disk from which the measuring cycle is called or processed. However, in the MOD functions for setup of the interface, you can enter any path for the TNC to save the log in.
Prerequisites:
- You need write-access to the network drive or directory.
- The network drive is connected at the time the cycle is called.
- You must enter the path correctly under
>MOD>RS232 EINRICHT.>PRINT


Touch-probe calibration


Touch-probe cycles

Tool calibration


Manual touch-probe cycles


Data interface

Further Informations:
> As of which NC software is TeleService possible?
> Backing up machine parameters
> CimcoNFS to WIN XP SP2 with firewall
> Configuring TNCserver for multiple interfaces
> Finishing with Cycle 24
> No access to the TNC with TNCremoNT
> Point patterns
> Programming station: I get a shareware notice despite the TNC keyboard
> Saving a measuring log on a network drive
> Screendump from the programming station
> Test run does not show any traverse paths


As of which NC software is TeleService possible?

Question

I would like to monitor machines equipped with TNC 426/430 and iTNC 530 controls from HEIDENHAIN while at home using TeleService. Are there any restrictions regarding the possibilities of using TeleService?

Answer

On TNC 426/430 controls you need NC software 280 476-04 or newer (press the MOD key to see the version).
All iTNC 530 controls are prepared for TeleService.
Of course, TeleService is only possible if the TNC is integrated in your company network via a network card.


Backing up machine parameters

Question

How can I back up machine parameters on the hard disk or on a PC?

Answer

The machine parameters are saved in an .MP file. You can access this file by entering a keyword. The file can be backed up directly on the TNC, or with TNCremoNT.
Please consult with your machine manufacturer.


CimcoNFS to WIN XP SP2 with firewall

Question

File transfer with Cimco to the operating system stated above only works if the firewall is shut off completely.
Is there a solution for this?

Answer

The problem is with the configuration of the firewall, and not with the Cimco NFS server.
Configuration of the MS firewall (Windows XP + SP2):
Start the Windows firewall from the Control Panel (wcsui.cpl or firewall.cpl).
On the Exceptions tab, open via >Program >Browse the files (services) portmap.exe and nfs.exe (standard directory C:\CIMCO\NFS\), and add them with >OK. Both of these entries are then activated (checkmark), and listed under Programs and Services. Use >Edit >Change Area to limit access with the option >Only own network (subnet) or >User-defined list.


Configuring TNCserver for multiple interfaces

Question

How can I configure TNCserver so that I can use multiple interfaces simultaneously?
I have two controls connected to two serial ports on my PC.
If I start TNCserver twice, and select different values for the configuration, then the next time I start TNCserver, the values for the configuration are always those from the last active instance of TNCserver.

Answer

In order to work with multiple connections, you must create a program shortcut on your Desktop for each configuration.
Right-click the Desktop.
In the pop-up menu, select "New/Shortcut"
In the browse dialog box, select "TNCserver.exe" (usually in C:\Programs\HEIDENHAIN\TNCremoNT)
Enter call parameters for this shortcut:
Right-click the shortcut
In the pop-up menu, select "Properties"
In the Properties dialog box, select the "Shortcut" tab
In the Location text field, enter call parameters after the program call (separated by spaces!)
Examples for call parameters:
-P interface (: 1...9)
-B Baudrate (: 1200...115200)
-C Protocol (: FE, ME_SND, ME_RCV, EXT_SND, EXT_RCV, LSV2)
-N Control (: "POSITIP", "CNC PILOT", "MANUAL PLUS", "MILL PLUS", "ND XXX", "TNC 122", "TNC 124", "TNC 131", "TNC 135", "TNC 145", "TNC 150", "TNC 151", "TNC 155", "TNC 223","TNC 232", "TNC 234", "TNC 2500B", "TNC 246", "TNC 306", "TNC 355", "TNC 360", "CONTOUR", "TNC 370", "TNC 310", "TNC 410", "TNC 400", "TNC 406", "TNC 407", "TNC 415", "TNC 416", "TNC 425", "TNC 426", "TNC 430")
Sample call:
"C:\Programs\HEIDENHAIN\TNCremoNT 2.0\TNCserver.exe" -P2 -B19200 -CFE "-NTNC 415"
Note: Program paths and parameters that contain blank spaces must be entered in quotation marks


Finishing with Cycle 24

Question

I want to finish a contour only by using Cycle 24 (ISO: G124) without having roughed with Cycle 22 (ISO: G122) first.

Answer

In this case you must enter the finishing allowance Q3 in Cycle 20 (ISO: G120) greater than the sum of the finishing allowance Q14 defined in Cycle 24 (ISO: G124) and the radius of the finishing tool.


Point patterns

Question

Why is the last machining step in the Point pattern on circle cycle performed twice?

Answer

Cycles 220 and 221 (Point pattern on circle / lines) are DEF active, meaning that they are in effect immediately after definition, and do not need a specific cycle call (e.g. M99). The cycles for creating point patterns automatically perform the most recently defined machining cycle at the appropriate positions. See the attached file for an example.
If a cycle call is programmed after a point pattern cycle, the machining cycle is performed again at the last position. Remove the cycle call!


Programming station: I get a shareware notice despite the TNC keyboard

Question

Even though the complete version was purchased and the HEIDENHAIN TNC keyboard is attached to the USB port of the PC, I still get a shareware notice.

Answer

You must install the Windows driver for the USB dongle. It is on the "Programmierplatz-Programming Station iTNC" CD in the directory \JH\hldrv32.exe


Screendump from the programming station

Question

I tried to create a screendump from an iTNC 530 programming station (340 494-01) using TNCremoNT (TNC screen to the Clipboard).
However, the bitmap file that is generated only consists of a black screen.

Answer

In order to get a correct screendump, you must set the color depth of your PC to HighColor (16 bits). Screendumps are then generated correctly.


Test run does not show any traverse paths

Question

I tried to simulate a program in the Test Run operating mode, but don't see any effects on the workpiece blank.

Answer

There can be multiple causes for this:
- Your tool is moving above the workpiece blank (check the Z infeed).
- Your tool is moving beyond the workpiece blank (change the BLK FORM).
- A tool with radius 0 is active.
- You have activated a different tool table for the test run.


Preset table / Reference points

Further Informations:
> Calibration data with the 3-D touch probe


Calibration data with the 3-D touch probe

Question

On my iTNC 530 with software 340 49X, the soft key for assuming the 3-D touch probe calibration data into the tool table is missing.

Answer

If you have set MP7411 to 1 (i.e., calibration data are to be managed in the tool table), the TNC automatically writes the determined calibration values to the tool table. You no longer need to save the data via the soft keys, since the TNC automatically assigns the data to the active tool number.


Coordinate transformation

Further Informations:
>


Coordinate transformation


Machining cycles

Further Informations:
> Drilling / Threads
> Milling
> Hole patterns
> SL cycles


Drilling / Threads

Further Informations:
> Q-parameter assignment


Milling

Further Informations:
>


<>
Machining cycles / Milling


Hole patterns

Further Informations:
> Further editing of data from the control on a PC


Further editing of data from the control on a PC

Question

Is it possible to edit data in freely definable tables on a PC?

Answer

The attachment contains a description of how to copy data from a freely definable table into Excel.


SL cycles

Further Informations:
> Ethernet: SMB connection to Windows 2003 server


Ethernet: SMB connection to Windows 2003 server

Question

How can I connect a TNC to a Windows 2003 server via SMB?

Answer

In the standard installation of the Windows 2003 server, SMB signing (encrypting data for transmission) is activated as a default. In order to connect the TNC, you must deactivate this function on the server. Proceed as follows:
> Group Policy
> Computer Configuration
> Windows Settings
> Security Settings
We are planning an improvement to the TNC software which will support SMB signing in the future. A date has not yet been set.


Externally created programs

Further Informations:
> 5-axis machining
> TCPM / M128
> HSC


5-axis machining

Further Informations:
>


<>
Externally created programs / 5-axis machining


TCPM / M128

Further Informations:
>


<>
Externally created programs / TCPM / M128


Externally created programs

HSC

Further Informations:
>


<>
Externally created programs / HSC


Tools

Further Informations:
> "Tool table?" error message during program testing
> How can I easily convert to binary values?
> Replacing individual lines in the tool table


"Tool table?" error message during program testing

Question

During program testing, the "Tool table?" error message appears.

Answer

It is likely that no tool table is active in the PGM test.
Activate the tool table in the program test:
> Select the Test Run operating mode.
> Call the file manager (PGM MGT).
> Display the selection of file types: Press the SELECT TYPE soft key.
> Display files of type .T: Press the DISPLAY .T soft key.
> Select the file (*.T) with the ENT key or SELECT soft key.
The TNC indicates that a tool table is active for a program test with an "S" in the STATUS column.


Replacing individual lines in the tool table

Question

Only individual lines in the tool table are to be replaced by new values. A tool presetter generates the new values.

Answer

If you copy any tool table into TOOL.T, you can overwrite individual lines or columns in the target table with the REPLACE FIELDS soft key.
Prerequisites:
- The target table must exist.
- The file to be copied must only contain the columns or lines you want to replace.
Caution!
The REPLACE FIELDS soft key does not appear when you want to overwrite the table in the TNC with an external data transfer software, such as TNCremoNT. Copy the externally created file into a different directory, and then copy the desired fields with the TNC file management.
Example:
With a tool presetter you have measured the length and radius of ten new tools. The tool presetter then generates the tool table TOOL.T with 10 lines (for the 10 tools) and the columns
- Tool number (column T)
- Tool length (column L)
- Tool radius (column R)
Copy this file to a directory other than the one containing the previous TOOL.T. If you wish to copy this file over the existing table using the TNC file management, the TNC asks if you wish to overwrite the existing TOOL.T tool table:
> If you press the YES soft key, the TNC will completely overwrite the current TOOL.T tool table. After this copying process the new TOOL.T table consists of 10 lines. The only remaining columns in the table are tool number, tool length and tool radius.
> Or, if you press the REPLACE FIELDS soft key, the TNC merely overwrites the first 10 lines of the columns number, length and radius in the TOOL.T file. The data of the other lines and columns is not changed.
> Or, if you press the REPLACE EMPTY LINES soft key, the TNC merely overwrites the lines in the TOOL.T file that do not contain any data. The files of the remaining lines and columns are not changed by the TNC.


File management

Further Informations:
> MAC address of an iTNC 530
> Replacing individual lines in the tool table
> Switching from ISO to plain-language and back


MAC address of an iTNC 530

Question

How can I see the MAC address of an iTNC 530?

Answer

This is only possible from a PC. At the prompt, send a ping to the control (e.g. ping 168.1.180.4).
Then enter "arp -a".
The MAC address of the iTNC is shown behind the IP address.
E.g.: 168.1.180.4 00-a0-cd-01-0b-3d dynamic


Switching from ISO to plain-language and back

Question

Can you still switch between ISO programming and plain-language programming on the newer controls?

Answer

This function was only available up to the TNC 355.
On the successor controls (TNC 4xx and iTNC 5xx), both ISO programs and plain-language programs can be stored on the control at the same time (with the file extension .I for ISO, and .H for plain-language), without having to reboot the control each time.
Furthermore, you can call a plain-language program from an ISO program, and vice versa.


Pallet management

Further Informations:
>


Pallet management


Programming aids

Further Informations:
> Calculator
> HELP function
> ERR function
> Cutting-data tables


Calculator

Further Informations:
>


<>
Programming aids / Calculator


HELP function

Further Informations:
>


<>
Programming aids / HELP function


ERR function

Further Informations:
>


<>
Programming aids / ERR function


Cutting-data tables

Further Informations:
>


<>
Programming aids / Cutting-data tables


Testing / running programs

Further Informations:
> Automatic shutdown of the machine after end of program
> Cycle 202 is not available on my TNC 426!
> Files are not in alphabetical order


Cycle 202 is not available on my TNC 426!

Question

The soft key on my TNC 426 for defining Cycle 202 Boring is empty. In the User's Manual it says: The machine tool and TNC must be specially prepared by the machine tol builder.

Answer

Cycles 17, 18, 202, 204 and 217 require a controlled spindle. If your machine does not feature this function, the TNC automatically hides these cycles and their soft keys are empty.


Files are not in alphabetical order

Question

On a TNC 430 the files are not shown in alphabetical order after having been loaded from the PC window.

Answer

If you save more than 512 files in a directory, the TNC no longer sorts the files alphabetically.
Solution:
Create subdirectories, and distribute the files in these directories (such as for each customer or order).


Manual Operation / Handwheel

Further Informations:
>


Manual Operation / Handwheel


MOD functions

Further Informations:
> "Tool table?" error message during program testing
> No access to the TNC with TNCremoNT
> Saving a measuring log on a network drive


Machine parameters

Further Informations:
> "Tool table?" error message during program testing
> Can I turn in Ensat sockets?
> Programming station: The touchpad on the keyboard does not work right.


Can I turn in Ensat sockets?

Question

How can I turn in Ensat sockets with a TNC, since I have a different pitch while turning in than while turning out!

Answer

Cycle 18 THREAD CUTTING moves the tool with controlled spindle from the current position to the depth entered. The spindle is stopped at the bottom of the hole. The tool can now be retracted with a second cycle definition (with a different pitch).


Programming station: The touchpad on the keyboard does not work right.

Question

The touchpad on the TNC keyboard does not have a double-click function, like on a notebook.

Answer

You must install a Windows driver. It is on the "Programmierplatz-Programming Station iTNC" CD in the directory JH\EasyCat2.0.exe